# $Revision: 1.2 $, $Date: 2002/09/04 08:46:56 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Compress
%define		pnam	LZO
Summary:	Compress::LZO Perl module - interface to LZO compression library
Summary(pl):	Modu Perla Compress::LZO - interfejs do biblioteki kompresji LZO
Name:		perl-Compress-LZO
Version:	1.08
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	lzo-devel >= 1.03
BuildRequires:	perl-devel >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and very fast decompression.
Decompression requires no memory. perl-LZO provides LZO bindings for
Perl - i.e. you can access the LZO library from your Perl scripts
thereby compressing ordinary Perl strings.

%description -l pl
LZO jest przenon bibliotek do bezstratnej kompresji danych,
napisan w ANSI C. Oferuje szybk kompresj i bardzo szybk, nie
wymagajc pamici, dekompresj. perl-LZO udostpnia interfejs dla
Perla - pozwalajcy na dostp do biblioteki LZO ze skryptw perlowych,
do kompresji zwykych acuchw.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%{perl_sitearch}/Compress/LZO.pm
%dir %{perl_sitearch}/auto/Compress/LZO
%{perl_sitearch}/auto/Compress/LZO/autosplit.ix
%{perl_sitearch}/auto/Compress/LZO/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/Compress/LZO/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Compress-LZO.spec,v $
Revision 1.2  2002/09/04 08:46:56  radek
- version 1.08
STBR

Revision 1.1  2002/07/21 12:26:22  qboosh
- new

